import request from '@/utils/request'

export function getPatrolObjectTree(data) {
  return request({
    url: 'patrol/object/getTree',
    method: 'post',
    data
  })
}

export function codeValidator(data) {
  return request({
    url: 'patrol/object/codeValidator',
    method: 'post',
    data
  })
}

export function nameValidator(data) {
  return request({
    url: 'patrol/object/nameValidator',
    method: 'post',
    data
  })
}

export function add(data) {
  return request({
    url: 'patrol/object/insert',
    method: 'post',
    data
  })
}

export function del(ids) {
  return request({
    url: 'patrol/object/delete',
    method: 'post',
    data: ids
  })
}

export function edit(data) {
  return request({
    url: 'patrol/object/update',
    method: 'post',
    data
  })
}

export default { add, edit, del }
